Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 59 lines (49 sloc) 1.377 kb
21b19db @reset refactor engine testing scenario
reset authored
1 source "http://rubygems.org"
2
aed0b8f @reset Move gemspec method to top of file
reset authored
3 gemspec
4
13cafc0 @reset Syntax fixes for Ruby 1.8.7
reset authored
5 ## Uncomment the following lines to develop against edge refinery
9df6580 @reset gemspec revision to support latest master branch of refinerycms
reset authored
6 gem 'refinerycms', :git => 'git://github.com/resolve/refinerycms.git'
4439f6a @parndt Using edge awesome_nested_set until 2.0.2 gem is released to fix depr…
parndt authored
7 gem 'awesome_nested_set', :git => 'git://github.com/collectiveidea/awesome_nested_set.git'
21b19db @reset refactor engine testing scenario
reset authored
8
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
9 group :development, :test do
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
10 require 'rbconfig'
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
11 gem 'sqlite3'
12 gem 'mysql2'
13 gem 'pg'
14
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
15 platforms :mswin, :mingw do
16 gem 'win32console'
17 gem 'rb-fchange', '~> 0.0.5'
18 gem 'rb-notifu', '~> 0.0.4'
19 end
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
20
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
21 platforms :ruby do
22 gem 'spork', '0.9.0.rc9'
23 gem 'guard-spork'
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
24
34e5da1 @reset Disable libnotifications for travis
reset authored
25 unless ENV['TRAVIS']
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
26 if RbConfig::CONFIG['target_os'] =~ /darwin/i
34e5da1 @reset Disable libnotifications for travis
reset authored
27 gem 'rb-fsevent', '>= 0.3.9'
28 gem 'growl', '~> 1.0.3'
29 end
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
30 if RbConfig::CONFIG['target_os'] =~ /linux/i
34e5da1 @reset Disable libnotifications for travis
reset authored
31 gem 'rb-inotify', '>= 0.5.1'
32 gem 'libnotify', '~> 0.1.3'
33 end
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
34 end
35 end
36
37 platforms :jruby do
34e5da1 @reset Disable libnotifications for travis
reset authored
38 unless ENV['TRAVIS']
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
39 if RbConfig::CONFIG['target_os'] =~ /darwin/i
34e5da1 @reset Disable libnotifications for travis
reset authored
40 gem 'growl', '~> 1.0.3'
41 end
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
42 if RbConfig::CONFIG['target_os'] =~ /linux/i
34e5da1 @reset Disable libnotifications for travis
reset authored
43 gem 'rb-inotify', '>= 0.5.1'
44 gem 'libnotify', '~> 0.1.3'
45 end
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
46 end
47 end
eca7a1a @reset Remove spork as a development dependency
reset authored
48 end
49
9df6580 @reset gemspec revision to support latest master branch of refinerycms
reset authored
50 # Gems used only for assets and not required
51 # in production environments by default.
cfba1b8 @reset Add Rails3.1 assets gemfile entry into Gemfile (required to start Rai…
reset authored
52 group :assets do
34e5da1 @reset Disable libnotifications for travis
reset authored
53 gem 'sass-rails', '~> 3.1.0'
54 gem 'coffee-rails', '~> 3.1.0'
cfba1b8 @reset Add Rails3.1 assets gemfile entry into Gemfile (required to start Rai…
reset authored
55 gem 'uglifier'
56 end
7ae6e14 @ugisozols Use arel 2.1.4 for now because 2.1.5 got yanked.
ugisozols authored
57
9df6580 @reset gemspec revision to support latest master branch of refinerycms
reset authored
58 gem 'jquery-rails'
Something went wrong with that request. Please try again.